estt <- 0.15 #true value of slope parameter

for(sigE in c(1,3)){
for(sigLS in c(0,0.3)){
for(corAb in c(.3,.5,.8)){

for(N in c(50,100,300,500,1000)){

	#setwd('...')
	name  <-	paste('dat1.N',N,'.sigE',sigE,'.sigLS',sigLS,'.est.txt',sep='')
	est <- read.table(name)
	ss <- nrow(est)
	est <- est[,19:20]
	estm <- est[,1]	#estimates
	estsd <- est[,2]	#sd
	bias <- mean(estm)-estt
	ese <- sd(estm)
	mse <- bias^2+ese^2
	CI.l <- estm-1.96*estsd
	CI.u <- estm+1.96*estsd
	covr <- 0
	for(i in 1:ss){
		if(CI.l[i]<estt&&CI.u[i]>estt){covr <- covr+1}
	}
	cr <- covr/ss
	ciw <- 2*1.96*mean(estsd)
	covrp <- 0	##coverate rate for power
	for(i in 1:ss){
		if(CI.l[i]<0&&CI.u[i]>0){covrp <- covrp+1}
	}
	crp <- covrp/ss
	power <- 1-crp
	est.res <- t(c(bias,mse,cr,ciw,power))
	rownames(est.res) <- c('Complete')
	name.est.res <- paste('res.N',N,'.sigE',sigE,'.sigLS',sigLS,'.corAb',corAb,'.txt',sep='')
	write.table(est.res,name.est.res,append=TRUE,col.names=FALSE)
 
	
	for(mr in c(.03,.05,.08,.15)){

		name  <-	paste('dat20.N',N,'.sigE',sigE,'.sigLS',sigLS,'.mr',mr,'.est.txt',sep='') 
		est <- read.table(name)
		ss <- nrow(est)
		est <- est[,19:20]
	estm <- est[,1]	#estimates
	estsd <- est[,2]	#sd
	bias <- mean(estm)-estt
	ese <- sd(estm)
	mse <- bias^2+ese^2
	CI.l <- estm-1.96*estsd
	CI.u <- estm+1.96*estsd
	covr <- 0
	for(i in 1:ss){
		if(CI.l[i]<estt&&CI.u[i]>estt){covr <- covr+1}
	}
	cr <- covr/ss
	ciw <- 2*1.96*mean(estsd)
	covrp <- 0	
	for(i in 1:ss){
		if(CI.l[i]<0&&CI.u[i]>0){covrp <- covrp+1}
	}
	crp <- covrp/ss
	power <- 1-crp
	est.res <- t(c(bias,mse,cr,ciw,power))
		rownames(est.res) <- c('MCAR-LISTWISE')
		#est.res <- round(est.res,3)
		write.table(est.res,name.est.res,append=TRUE,col.names=FALSE)


		name  <-	paste('dat2.N',N,'.sigE',sigE,'.sigLS',sigLS,'.mr',mr,'.est.txt',sep='') 
		est <- read.table(name)
		ss <- nrow(est)
		est <- est[,19:20]
	estm <- est[,1]	#estimates
	estsd <- est[,2]	#sd
	bias <- mean(estm)-estt
	ese <- sd(estm)
	mse <- bias^2+ese^2
	CI.l <- estm-1.96*estsd
	CI.u <- estm+1.96*estsd
	covr <- 0
	for(i in 1:ss){
		if(CI.l[i]<estt&&CI.u[i]>estt){covr <- covr+1}
	}
	cr <- covr/ss
	ciw <- 2*1.96*mean(estsd)
	covrp <- 0	
	for(i in 1:ss){
		if(CI.l[i]<0&&CI.u[i]>0){covrp <- covrp+1}
	}
	crp <- covrp/ss
	power <- 1-crp
	est.res <- t(c(bias,mse,cr,ciw,power))
		rownames(est.res) <- c('MCAR')
		#est.res <- round(est.res,3)
		write.table(est.res,name.est.res,append=TRUE,col.names=FALSE)
 

		for(coefN in 1:3){
		
			name  <-	paste('dat3.N',N,'.sigE',sigE,'.sigLS',sigLS,'.mr',mr,'.coefN',coefN,'.est.txt',sep='') 
			est <- read.table(name)
			ss <- nrow(est)
			est <- est[,19:20]
	estm <- est[,1]	#estimates
	estsd <- est[,2]	#sd
	bias <- mean(estm)-estt
	ese <- sd(estm)
	mse <- bias^2+ese^2
	CI.l <- estm-1.96*estsd
	CI.u <- estm+1.96*estsd
	covr <- 0
	for(i in 1:ss){
		if(CI.l[i]<estt&&CI.u[i]>estt){covr <- covr+1}
	}
	cr <- covr/ss
	ciw <- 2*1.96*mean(estsd)
	covrp <- 0	
	for(i in 1:ss){
		if(CI.l[i]<0&&CI.u[i]>0){covrp <- covrp+1}
	}
	crp <- covrp/ss
	power <- 1-crp
	est.res <- t(c(bias,mse,cr,ciw,power))
			rownames(est.res) <- paste('MCAR-RF(',coefN,')',sep='')
			#est.res <- round(est.res,3)
			write.table(est.res,name.est.res,append=TRUE,col.names=FALSE)
			 
	

		}#coefN

		##corAb


			name  <-	paste('dat40.N',N,'.sigE',sigE,'.sigLS',sigLS,'.mr',mr,'.corAb',corAb,'.est.txt',sep='') 
			est <- read.table(name)
			ss <- nrow(est)
			est <- est[,19:20]
	estm <- est[,1]	#estimates
	estsd <- est[,2]	#sd
	bias <- mean(estm)-estt
	ese <- sd(estm)
	mse <- bias^2+ese^2
	CI.l <- estm-1.96*estsd
	CI.u <- estm+1.96*estsd
	covr <- 0
	for(i in 1:ss){
		if(CI.l[i]<estt&&CI.u[i]>estt){covr <- covr+1}
	}
	cr <- covr/ss
	ciw <- 2*1.96*mean(estsd)
	covrp <- 0	
	for(i in 1:ss){
		if(CI.l[i]<0&&CI.u[i]>0){covrp <- covrp+1}
	}
	crp <- covrp/ss
	power <- 1-crp
	est.res <- t(c(bias,mse,cr,ciw,power))
			rownames(est.res) <- c('MAR-LISTWISE')
			write.table(est.res,name.est.res,append=TRUE,col.names=FALSE)
	

			name  <-	paste('dat4.N',N,'.sigE',sigE,'.sigLS',sigLS,'.mr',mr,'.corAb',corAb,'.est.txt',sep='') 
			est <- read.table(name)
			ss <- nrow(est)
			est <- est[,19:20]
	estm <- est[,1]	#estimates
	estsd <- est[,2]	#sd
	bias <- mean(estm)-estt
	ese <- sd(estm)
	mse <- bias^2+ese^2
	CI.l <- estm-1.96*estsd
	CI.u <- estm+1.96*estsd
	covr <- 0
	for(i in 1:ss){
		if(CI.l[i]<estt&&CI.u[i]>estt){covr <- covr+1}
	}
	cr <- covr/ss
	ciw <- 2*1.96*mean(estsd)
	covrp <- 0	
	for(i in 1:ss){
		if(CI.l[i]<0&&CI.u[i]>0){covrp <- covrp+1}
	}
	crp <- covrp/ss
	power <- 1-crp
	est.res <- t(c(bias,mse,cr,ciw,power))
			rownames(est.res) <- c('MAR')
			write.table(est.res,name.est.res,append=TRUE,col.names=FALSE)
			 
	

			
			for(coefN in 1:3){

				name  <-	paste('dat5.N',N,'.sigE',sigE,'.sigLS',sigLS,'.mr',mr,'.corAb',corAb,'.coefN',coefN,'.est.txt',sep='')
				est <- read.table(name)
				ss <- nrow(est)
				est <- est[,19:20]
	estm <- est[,1]	#estimates
	estsd <- est[,2]	#sd
	bias <- mean(estm)-estt
	ese <- sd(estm)
	mse <- bias^2+ese^2
	CI.l <- estm-1.96*estsd
	CI.u <- estm+1.96*estsd
	covr <- 0
	for(i in 1:ss){
		if(CI.l[i]<estt&&CI.u[i]>estt){covr <- covr+1}
	}
	cr <- covr/ss
	ciw <- 2*1.96*mean(estsd)
	covrp <- 0	
	for(i in 1:ss){
		if(CI.l[i]<0&&CI.u[i]>0){covrp <- covrp+1}
	}
	crp <- covrp/ss
	power <- 1-crp
	est.res <- t(c(bias,mse,cr,ciw,power))
				rownames(est.res) <- paste('MAR-RF(',coefN,')',sep='')
				#est.res <- round(est.res,3)
				write.table(est.res,name.est.res,append=TRUE,col.names=FALSE)
 
			}#coefN 
	

			for(coefN in 1:3){ 	

 
				name  <-	paste('dat6.N',N,'.sigE',sigE,'.sigLS',sigLS,'.mr',mr,'.corAb',corAb,'.coefN',coefN,'.est.txt',sep='')
				est <- read.table(name)
				ss <- nrow(est)
				est <- est[,19:20]
	estm <- est[,1]	#estimates
	estsd <- est[,2]	#sd
	bias <- mean(estm)-estt
	ese <- sd(estm)
	mse <- bias^2+ese^2
	CI.l <- estm-1.96*estsd
	CI.u <- estm+1.96*estsd
	covr <- 0
	for(i in 1:ss){
		if(CI.l[i]<estt&&CI.u[i]>estt){covr <- covr+1}
	}
	cr <- covr/ss
	ciw <- 2*1.96*mean(estsd)
	covrp <- 0	
	for(i in 1:ss){
		if(CI.l[i]<0&&CI.u[i]>0){covrp <- covrp+1}
	}
	crp <- covrp/ss
	power <- 1-crp
	est.res <- t(c(bias,mse,cr,ciw,power))
				rownames(est.res) <- paste('MAR-RP(',coefN,')',sep='')
				write.table(est.res,name.est.res,append=TRUE,col.names=FALSE)
			
			}#coefN
	}#mr

}#N
}
}
}

